package com.urbancode.anthill3.plugin.subversion

import com.urbancode.anthill3.*

import java.io.File;
import java.util.Date;

public class SCMRemoteTag extends SCMStep {

    //**************************************************************************
    // CLASS
    //**************************************************************************

    //**************************************************************************
    // INSTANCE
    //**************************************************************************

    String createTag
    String createBranch
    String message

    public void execute() {
        initSvnInfo();

        final def cmdHelper = getCommandHelperBase();

        assert createTag || createBranch : 'Either a Tag or branch Name is a required'
        assert message : 'Message is a required attribute'

        //
        // create tag
        //

        String type;
        def command = getBaseCmd();
        command << 'copy'
        command << '--message' << message
        command << wcUrl+'@'+currentRevision;
        if (createBranch) {
            type = "Branch";
            command << calculateRepositoryUrl(branchesPath, createBranch)
        }
        else if (createTag) {
            type = "Tag";
            command << calculateRepositoryUrl(tagsPath, createTag)
        }
        else {
            throw new AssertionError() // shouldn't happen
        }

        cmdHelper.runCommand("Create Remote $type", command);
    }
}
