package com.urbancode.anthill3.plugin.subversion

import com.urbancode.anthill3.*

import java.io.File;
import java.util.Date;

public class SCMTag extends SCMStep {

    //**************************************************************************
    // CLASS
    //**************************************************************************

    //**************************************************************************
    // INSTANCE
    //**************************************************************************

    String createTag
    String createBranch
    String message

    /**
     *
     */
    public void execute() {
        initWorkspace();
        final def cmdHelper = getCommandHelperBase();

        assert createTag || createBranch : 'Either a Tag or branch Name is a required'
        assert message : 'Message is a required attribute'

        //
        // create tag
        //

        def command = getBaseCmd();
        command << 'copy'
        command << '--message' << message
        command << '.' // will use WC info for source material
        if (createBranch) {
            command << calculateRepositoryUrl(branchesPath, createBranch)
        }
        else if (createTag) {
            command << calculateRepositoryUrl(tagsPath, createTag)
        }
        else {
            throw new IllegalStateException('neither create tag nor branch was specified') // shouldn't happen
        }

        cmdHelper.runCommand('Create Tag', command);
    }
}
