package com.urbancode.anthill3.plugin.subversion.changelog

public class ChangeSet {

    //**************************************************************************
    // CLASS
    //**************************************************************************

    //**************************************************************************
    // INSTANCE
    //**************************************************************************

    String module;
    String id;
    String user;
    String message;
    Date date;
    final Set<ChangeSetFileEntry> fileSet = [];
    Map<String,String> properties = [:];

    /**
     * Determine if the change contains only excluded file paths.
     * (an empty fileset will be included)
     */
    public boolean hasAllowedPath(ChangeSetFilter changeSetFilter) {
        return !fileSet || fileSet.find{ changeSetFilter.pathIsIncluded(it.path) } != null;
    }

    public boolean hasAllowedAuthor(ChangeSetFilter changeSetFilter) {
        return changeSetFilter.authorIsIncluded(user);
    }
}
