import com.urbancode.anthill3.*
import com.urbancode.anthill3.plugin.subversion.*

final def workDir = new File('.').canonicalFile
final def out = System.out
final def env = System.getenv()

//------------------------------------------------------------------------------
// GET ALL INPUT PARAMETERS
//------------------------------------------------------------------------------

final def ahpTool = new AHPTool();
final stepProps = ahpTool.getStepProperties()

final def svnExe       = stepProps['source/repo/commandPath']?: 'svn'
final def srcName      = stepProps['source'];
final def dir          = new File(workDir, stepProps['source/dirOffset'] ?: '.').absoluteFile // get checkout directory

//------------------------------------------------------------------------------
// PREPARE WORKING DIRECTORY
//------------------------------------------------------------------------------

// create the working directory
dir.mkdirs()
if (!dir.exists()) {
    throw new Exception("Could not create working directory ${workDir}")
}
else if (dir.isFile()) {
    throw new Exception("Specified working directory is a file!! ${workDir}")
}

//------------------------------------------------------------------------------
// PREPARE COMMAND LINE
//------------------------------------------------------------------------------
SCMCleanup cleanup = new SCMCleanup();
cleanup.scmCommand = svnExe;

cleanup.directory = dir;
cleanup.allFiles = false;
cleanup.svnCleanup = true;
cleanup.remUnversionedFiles = false;
cleanup.revertFiles = false;

cleanup.execute();